import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import HuggingfaceLogoLight from './HuggingfaceLogoLight';
import HuggingfaceLogoDark from './HuggingfaceLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const HuggingfaceLogoSvg = forwardRef(function HuggingfaceLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(HuggingfaceLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(HuggingfaceLogoLight, Object.assign({}, props, { ref: ref })));
});
export default HuggingfaceLogoSvg;
